package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicBusinessType {
    public static final String COMMERCIAL = "商业广场";
    public static final String SUPERMARKET = "超市";
    public static final String STORES = "百货";
    public static final String FOOD_MARKET = "菜市场";
    public static final String DISTRIBUTION = "商品集散地";
    public static final String PEDESTRIAN = "步行街";
    public static final String NIGHT_MARKET = "夜市";
    public static final String FOOD_PLAZA = "美食广场";

    private static DicBusinessType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicBusinessType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(COMMERCIAL, COMMERCIAL);
        dicMap.put(SUPERMARKET, SUPERMARKET);
        dicMap.put(STORES, STORES);
        dicMap.put(FOOD_MARKET, FOOD_MARKET);
        dicMap.put(DISTRIBUTION, DISTRIBUTION);
        dicMap.put(PEDESTRIAN, PEDESTRIAN);
        dicMap.put(NIGHT_MARKET, NIGHT_MARKET);
        dicMap.put(FOOD_PLAZA, FOOD_PLAZA);
    }

    public static DicBusinessType getInstacne(){
        if (instance == null)
        {
            instance = new DicBusinessType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
